Skip to main content
PUT
Update workspace custom field

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

workspace_id
string<uuid>
required
field_id
string<uuid>
required

Body

application/json
field_label
string
Maximum string length: 100
is_preset
boolean
preset_value
string
Maximum string length: 500

Response

Custom field updated successfully

A custom field definition for a workspace

id
string<uuid>

Unique identifier

field_name
string

Machine-readable field name (auto-generated from label)

field_label
string

Human-readable display label

is_preset
boolean

If true, this field has a preset value for all users

preset_value
string | null

Preset value (only used when is_preset=true)

created_at
string<date-time>
updated_at
string<date-time>